import GeneralLoading from "../General/GeneralLoading";
import SearchPage from "./SearchPage";
import { fetchList } from "./action";


interface SubComponents {
  Loading: typeof GeneralLoading;
}

const Wrapper: React.FC & SubComponents = async () => {
  const dataList = await fetchList();
  console.log(dataList);

  return <SearchPage dataList={dataList} />;
};

Wrapper.Loading = GeneralLoading;

export default Wrapper;
